Subject: Re: [PATCH v2 6/6] refs: skip hooks when deleting uncovered packed refs

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Jan 2022 10:00:01 -0800

Patrick Steinhardt <[email-masked]> writes:

> It does so only if the ref exists in either the loose or packed backend
> though. If trying to update a ref which exists in neither of those, then
> the reference transaction would fail with an "unable to resolve
> reference" error in `lock_raw_ref()`.
>
> So this should behave as expected: deleting a packed ref calls the hook
> once, deleting a nonexistent ref fails and doesn't call the hook at all.

OK.  Your explanation deserves to be in the log message for those
who ask questions next time, not lost in the archive in a message
just answering my question and explaining it only for me.  After
all, that is why I ask questions in my reviews.

Thanks.